#### Previous topic

scipy.cluster.hierarchy.maxRstat

#### Next topic

scipy.cluster.hierarchy.dendrogram

# scipy.cluster.hierarchy.to_mlab_linkage

`scipy.cluster.hierarchy.``to_mlab_linkage`(Z)

  Converts a linkage matrix to a MATLAB(TM) compatible one.

  Converts a linkage matrix `Z` generated by the linkage function of this module to a MATLAB(TM) compatible one. The return linkage matrix has the last column removed and the cluster indices are converted to `1..N` indexing.

  Parameters:

  Z : ndarray

  > A linkage matrix generated by `scipy.cluster.hierarchy`.

  Returns:

  to_mlab_linkage : ndarray

  > A linkage matrix compatible with MATLAB(TM)’s hierarchical clustering functions.

  > The return linkage matrix has the last column removed and the cluster indices are converted to `1..N` indexing.